View Issue Details

IDProjectCategoryView StatusLast Update
0004477Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.2Fixed in Version0.2 
Summary0004477: disentangle helper functions from wallet backend for better testability
DescriptionRight now some of the logic for e.g. coin selection is entangled with a lot of glue-code that is really hard to test and requires lots of mocking.
TagsNo tags attached.

Relationships

related to 0004476 closedFlorian Dold testcases for wallet backend library missing 

Activities

Florian Dold

2016-11-14 03:03

manager   ~0011485

Fixed in 8fdbfeea5.

Issue History

Date Modified Username Field Change
2016-04-27 16:42 Florian Dold New Issue
2016-04-27 16:42 Florian Dold Status new => assigned
2016-04-27 16:42 Florian Dold Assigned To => Florian Dold
2016-04-27 16:43 Florian Dold Relationship added related to 0004476
2016-05-04 15:49 Christian Grothoff Severity minor => tweak
2016-05-04 15:49 Christian Grothoff Product Version => 0.0
2016-05-04 15:49 Christian Grothoff Target Version => 0.1
2016-09-27 22:26 Christian Grothoff Target Version 0.1 => 0.2
2016-11-14 03:03 Florian Dold Note Added: 0011485
2016-11-14 03:03 Florian Dold Status assigned => resolved
2016-11-14 03:03 Florian Dold Resolution open => fixed
2016-11-15 16:03 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed